> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Status

> Poll the status of an async request (e.g. company addition) by request_id. Free.



## OpenAPI

````yaml openapi/zh/akta.json GET /apis/v1/akta/status/{request_id}
openapi: 3.1.0
info:
  description: ''
  title: Akta
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/akta/company/addition-requests
    - /apis/v1/akta/company/enrichment
    - /apis/v1/akta/company/search
    - /apis/v1/akta/industry/search
    - /apis/v1/akta/list/filter-builder
    - /apis/v1/akta/list/generate/companies
    - /apis/v1/akta/status/{request_id}
  x-aisa-document:
    facts_hash: 7ad2bb35e79170f8bebe26bf1fa819a258abc8b522c89db48b3c83294f1e6e9f
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:297b13ae403b249c39c60ae0ccc66e53cc204c8141090816e0835b4e990f3be7
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: akta
  x-aisa-catalogs:
    akta:
      title: Akta
      description: ''
      x-aisa-document:
        facts_hash: 7ad2bb35e79170f8bebe26bf1fa819a258abc8b522c89db48b3c83294f1e6e9f
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/akta/status/{request_id}:
    get:
      tags:
        - supporting
      summary: Request Status
      description: >-
        Poll the status of an async request (e.g. company addition) by
        request_id. Free.
      operationId: get_akta_request_status
      responses:
        '200':
          description: Status response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    $ref: '#/components/schemas/Response26Fec513Ccb9_StatusResponse'
                  credits_consumed:
                    type: number
                    format: float
                    example: 0
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response26Fec513Ccb9_StatusResponse:
      type: object
      properties:
        request_id:
          description: Unique identifier of the request being tracked.
          type: string
        request_type:
          description: 'The type of request. Example: company_addition'
          type: string
        status:
          description: >-
            Current status of the request. Possible values: pending,
            in_progress, completed, failed.
          type: string
        created_at:
          description: Timestamp when the request was created, in ISO 8601 format.
          type: string
        updated_at:
          description: Timestamp when the request was last updated, in ISO 8601 format.
          type: string
        detail:
          $ref: '#/components/schemas/Response26Fec513Ccb9_StatusDetail'
    Response26Fec513Ccb9_StatusDetail:
      description: Request-type-specific details for company_addition request.
      type: object
      properties:
        company_addition_request_id:
          description: Identifier of the underlying request record.
          type: string
        company_name:
          description: Name of the company submitted for addition.
          type: string
        domain:
          description: Resolved domain of the submitted company.
          type: string
        status:
          description: >-
            Status of the underlying request. Possible values: pending,
            in_progress, completed, failed.
          type: string
        reason:
          description: >-
            Explanation when the request did not succeed. null unless the
            request has failed.
          type:
            - string
            - 'null'
        company_uuid:
          description: >-
            Akta UUID of the company once it has been added. null until the
            request is completed.
          type:
            - string
            - 'null'
        created_at:
          description: >-
            Timestamp when the underlying request was created, in ISO 8601
            format.
          type: string
        updated_at:
          description: >-
            Timestamp when the underlying request was last updated, in ISO 8601
            format.
          type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.